<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.cache-container" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="aliases,default-cache,marshaller,modules,statistics-enabled"/>
        <elem name="addr-params" value="profile,subsystem,cache-container"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-container-configuration.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.default-singleton-service-configurator-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-container-modules.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.default-cache.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.default-singleton-service-builder-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.default-singleton-service-target-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.default-cache-configuration.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.default-service-provider-registry.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.server.default-registry-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.default-registry-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.server.default-service-provider-registrar.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-container.$cache-container"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.$cache-container.$default-cache" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="aliases" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="marshaller" nillable="true" stability="default"/>
        <param name="statistics-enabled" nillable="true" stability="default"/>
        <param name="default-cache" nillable="true" stability="default"/>
        <param name="modules" nillable="true" type="List&lt;String&gt;" stability="default"/>
    </params>
</feature-spec>